Name:           tacacs+
Version:        4.0.4.28
Release:        1%{?dist}
Summary:        Authentication server for the TACACS+ protocol
License:        MIT
URL:            http://www.shrubbery.net/tac_plus/
Source0:        https://shrubbery.net/pub/tac_plus/tacacs-F%{version}.tar.gz
Patch1:         0001-add-missing-helper-scripts-needed-to-run-autoconf.patch
Patch2:         0002-don-t-hack-in-extra-libs-or-library-paths.patch
Patch3:         0003-check-for-library-for-crypt.patch
Patch4:         0004-don-t-double-apply-CFLAGS.patch
Patch5:         0005-build-against-local-libtacacs.la.patch
Patch6:         0006-remove-do_auth.py.patch
Source1:        tac_plus.service
BuildRequires:  gcc
BuildRequires:  flex
BuildRequires:  bison
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
%if 0%{?fedora} >= 31 || 0%{?epel} >= 9
BuildRequires:  systemd-rpm-macros
%else
BuildRequires:  systemd
%endif
BuildRequires:  git

%description
The TACACS+ daemon is an authentication server for the TACACS+ protocol.

%package devel
Summary:        Development files for libtacacs
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
Headers and libraries for development using libtacacs.

%prep
%autosetup -n tacacs-F%{version} -S git_am
autoreconf -f -i

%build
# -Wno-missing-braces because gcc prints an enormous warning several thousand
# lines long about a constant in fdes.c
export CFLAGS="$RPM_OPT_FLAGS -Wno-missing-braces"
%configure --disable-static --without-libwrap
%make_build

%install
%make_install
rm %{buildroot}%{_libdir}/libtacacs.la
install -d %{buildroot}%{_unitdir}
install -m0644 %{SOURCE1} %{buildroot}%{_unitdir}/

%files
%{_bindir}/tac_pwd
%{_sbindir}/tac_plus
%{_datadir}/tacacs/tac_convert
%{_libdir}/libtacacs.so.1
%{_libdir}/libtacacs.so.1.0.0
%{_mandir}/man*/*
%{_unitdir}/tac_plus.service

%files devel
# The "user's guide" is for the users of the original Cisco SDK,
# not for users of the daemon
%doc %{_datadir}/tacacs/users_guide
%{_includedir}/tacacs.h
%{_libdir}/libtacacs.so

%post
%systemd_post tac_plus.service

%preun
%systemd_preun tac_plus.service

%postun
%systemd_postun_with_restart tac_plus.service

%changelog
* Wed Jan 29 2020 Dan Callaghan <dan.callaghan@opengear.com> - 4.0.4.28-1
- initial version
